commit:     0eecef5a873667b89ef6d5d8432b3b2bf827b8bb
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 10 16:05:48 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Tue Nov 10 16:06:35 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0eecef5a

dev-python/rope: bump to 0.10.3 wrt the gentoo bug

thanks to user 'wraeth' for submission of the final patch and
bumped ebuild via the gentoo bug. Added doc build in html from
by docutils, tidy phases to conform to default style according
to the eclass

Gentoo bug: #565018

Package-Manager: portage-2.2.24

 dev-python/rope/Manifest                           |  1 +
 .../rope/files/rope-0.10.3-doc-syntax-errors.patch | 35 ++++++++++++++++
 dev-python/rope/rope-0.10.3.ebuild                 | 46 ++++++++++++++++++++++
 3 files changed, 82 insertions(+)

diff --git a/dev-python/rope/Manifest b/dev-python/rope/Manifest
index cedad02..8628a1a 100644
--- a/dev-python/rope/Manifest
+++ b/dev-python/rope/Manifest
@@ -1,2 +1,3 @@
 DIST rope-0.10.2.tar.gz 221523 SHA256 
fffca108c0d6a711121ce11fed286f4ddc5791c7a6c3f079221a9303d1ddb465 SHA512 
9d3c3f2197b8eff87301d90dbf58872070e8c352704f50c942c270a05ba08504aeb2bb8f6d00902954abaa4d721d2a246c720f94547d8d3517cb84c0b31d9bc2
 WHIRLPOOL 
196587c655e6bffb26bc6498e57a833ddfc5c3ec0ccaa0b0baff9618f0e9fc5d18612fdada1a91e3ca8813b2c3c254691d462f2ff622af371a78b22b2024016f
+DIST rope-0.10.3.tar.gz 226123 SHA256 
eb45bea0abcf31a1a12ff087b990060e64244b835582ebc7642e6f7ea1fd65a2 SHA512 
1d868aeebd086c3fc199316a71e61a8c46c76d85176557842051bb8f51d090f316df6bb84f766db5a46dc164d3e471eb90465805a102e46acb34e39b2b0ce8b4
 WHIRLPOOL 
16cd8b80f7f3fe729d1d3b4b5b98fcd5b6f16c818ddd67a9d460fe4947e768febf1425e8d20bf0e47c9d49a58b4ba1acac0e6640d61fc187f84fc843128c591d
 DIST rope-0.9.4.tar.gz 221516 SHA256 
2dc0342604851d8fbdafa198172eab5da7ed422759016669056181e21c54a6ba SHA512 
462ce4fec7decdca67400e01fc08cb924019e71011fa0c50c529ff0ba377b277685f34a78796b5c30c20ac063aaba1b0b61bd9ac5b05625399e9d71ac625e534
 WHIRLPOOL 
7fcdfcd0d82e869b8008cedb7fc0ecbb8f7da302994129273e342346becde8cbd5915f9e04d2a9de57eb2b42b4487329109c159277f8255e386fc2765213a94b

diff --git a/dev-python/rope/files/rope-0.10.3-doc-syntax-errors.patch 
b/dev-python/rope/files/rope-0.10.3-doc-syntax-errors.patch
new file mode 100644
index 0000000..f219e1b
--- /dev/null
+++ b/dev-python/rope/files/rope-0.10.3-doc-syntax-errors.patch
@@ -0,0 +1,35 @@
+# Fix syntax errors in doc files
+diff --git a/docs/contributing.rst b/docs/contributing.rst
+index c6cb8a8..9efc3cc 100644
+--- a/docs/contributing.rst
++++ b/docs/contributing.rst
+@@ -45,7 +45,7 @@ about them, don't hesitate to discuss it in the mailing list.
+ Getting Ready For Python 3.0
+ ----------------------------
+
+-Checkout http://bitbucket.org/agr/rope_py3k Mercurial_ repository.
++Checkout http://bitbucket.org/agr/rope_py3k Mercurial repository.
+ Contributions are welcome.
+
+ Write Plugins For Other IDEs
+@@ -79,7 +79,7 @@ Source Repository
+ =================
+
+ Rope uses GitHub_. The repository exists at
+-`https://github.com/python-rope/rope`_.
++`https://github.com/python-rope/rope`.
+
+
+ Submitting patches
+diff --git a/docs/library.rst b/docs/library.rst
+index 390b9c8..ee918bc 100644
+--- a/docs/library.rst
++++ b/docs/library.rst
+@@ -72,7 +72,7 @@ In rope, files and folders in a project are accessed through
+ ``Change``\s (we'll talk about them later) use resources.
+
+ There are two options for creating a ``Resource`` for a path in a project.
+-The first approach uses the `Project.get_resource()`_ method.
++The first approach uses the `Project.get_resource()` method.
+
+ .. code-block:: python

diff --git a/dev-python/rope/rope-0.10.3.ebuild 
b/dev-python/rope/rope-0.10.3.ebuild
new file mode 100644
index 0000000..1e5928a
--- /dev/null
+++ b/dev-python/rope/rope-0.10.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python refactoring library"
+HOMEPAGE="https://github.com/python-rope/rope";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+# Dependency for docbuild documentation which is not noted in
+# setup.py, using standard docutils builds docs successfully.
+DEPEND="doc? ( dev-python/docutils[${PYTHON_USEDEP}] )"
+
+PATCHES=( "${FILESDIR}/${P}-doc-syntax-errors.patch" )
+
+python_test() {
+       PYTHONPATH="${BUILD_DIR}/lib:." ${EPYTHON} ropetest/__init__.py
+}
+
+python_compile_all() {
+       local i;
+       if use doc; then
+               pushd docs > /dev/null
+               mkdir build || die
+               for i in ./*.rst
+               do
+                       rst2html.py $i > ./build/${i/rst/html} || die
+               done
+               popd > /dev/null
+       fi
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/build/. )
+       distutils-r1_python_install_all
+}

Reply via email to